class User {
  String? msg;
  int? code;
  Data? data;

  User({this.msg, this.code, this.data});

  User.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  String? phoneNumber;
  String? identificationCard;
  String? id;
  String? token;

  Data({this.phoneNumber, this.identificationCard, this.id, this.token});

  Data.fromJson(Map<String, dynamic> json) {
    phoneNumber = json['phoneNumber'];
    identificationCard = json['identificationCard'];
    id = json['id'];
    token = json['token'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['phoneNumber'] = this.phoneNumber;
    data['identificationCard'] = this.identificationCard;
    data['id'] = this.id;
    data['token'] = this.token;
    return data;
  }
}
